/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */
#ifndef __GdomHTMLIsIndexElement_H__
#define __GdomHTMLIsIndexElement_H__
#include <webkit/webkitdefines.h>
#include "gdom/GdomHTMLInputElement.h"
#include "glib-object.h"


G_BEGIN_DECLS

typedef struct _GdomHTMLIsIndexElement GdomHTMLIsIndexElement;
typedef struct _GdomHTMLIsIndexElementClass GdomHTMLIsIndexElementClass;


#define GDOM_TYPE_HTML_IS_INDEX_ELEMENT            (gdom_html_is_index_element_get_type())
#define GDOM_HTML_IS_INDEX_ELEMENT(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), GDOM_TYPE_HTML_IS_INDEX_ELEMENT, GdomHTMLIsIndexElement))
#define GDOM_HTML_IS_INDEX_ELEMENT_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  GDOM_TYPE_HTML_IS_INDEX_ELEMENT, GdomHTMLIsIndexElement)Class)
#define GDOM_IS_HTML_IS_INDEX_ELEMENT(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), GDOM_TYPE_HTML_IS_INDEX_ELEMENT))
#define GDOM_IS_HTML_IS_INDEX_ELEMENT_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  GDOM_TYPE_HTML_IS_INDEX_ELEMENT))
#define GDOM_HTML_IS_INDEX_ELEMENT_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  GDOM_TYPE_HTML_IS_INDEX_ELEMENT, GdomHTMLIsIndexElementClass))

typedef struct _GdomHTMLIsIndexElementPrivate GdomHTMLIsIndexElementPrivate;

struct _GdomHTMLIsIndexElement {
    GdomHTMLInputElement parent_instance;
    GdomHTMLIsIndexElementPrivate *priv;
};

struct _GdomHTMLIsIndexElementClass {
    GObjectClass parent_class;
};

WEBKIT_API GType
gdom_html_is_index_element_get_type (void);

G_END_DECLS

#endif /* __GdomHTMLIsIndexElement_H__ */
